Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005886opensim[REGION] OpenSim Corepublic2012-02-12 01:352014-07-29 13:40
Reporterdutchglory 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOpensim 0.7 (dev, git master)OSVista Ultimate SP2 Build 6002OS Version6.0.6002
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005886: MSSQL Grid - Error updating Regions table Invalid column name 'parcelMapTexture'
Descriptionwith MSSQL i'm getting an error with updating regions table..

10:28:08 - [MSSQL Grid]: Error updating Regions table: Invalid column name 'parcelMapTexture'., UPDATE sql: update [regions] set locX=@posX, locY=@posY, sizeX=@ sizeX, sizeY=@sizeY , [serverIP] = @serverIP, [serverHttpPort] = @serverHttpPort, [serverURI] = @serverURI, [serverPort] = @serverPort, regionMapTexture] = @regionMapTexture, [parcelMapTexture] = @parcelMapTexture, [access] = @access, [regionSecret] = @regionSecret, [owner_uuid] = @owner_uuid, [Token] = @Token, [regionHandle] = @regionHandle, [flags] = @flags, [last_seen] = @last_seen where uuid = @regionID

 
Steps To Reproduce- setup opensim with new emty database using MSSQL..
- add your config files..
- run
Additional Informationi also can't login to any region, even if i create a new region.

14:11:45 - [GRID SERVICE]: GetNeighbours() called for scope 00000000-0000-0000-0000-000000000000,
            region a02321d1-54e0-11e1-b86c-0800200c9a66 but no such region found

14:11:45 - [INTERGRID]: Informing 0 neighbours that this region is up
14:12:43 - [LLOGIN SERVICE]: Login request for Melnik OpenSim at uri:Within Temptation Island&128&128&0
           using viewer Imprudence 1.4.0.3, channel Imprudence, IP 127.0.0.1,
           Mac 1f0ce52fe6c90aecaa53d9fadd3dcfee, Id0 85587b07e78d2bc2e8a86b9bea554295

14:12:43 - [PRESENCE SERVICE]: LoginAgent a02321d0-54e0-11e1-b86c-0800200c9a66 with session
           d2d3f332-a008-4d40-9771-92226cb27977 and ssession 73b58385-22aa-4497-afa5-30367319a2f4

14:12:43 - [GRID USER SERVICE]: User a02321d0-54e0-11e1-b86c-0800200c9a66 is online
14:12:43 - [LLOGIN SERVICE]: FindDestination for start location uri:Within Temptation Island&128&128&0

14:12:43 - [LLLOGIN SERVICE]: Got Custom Login URI uri:Within Temptation Island&128&128&0,
           can't locate region Within Temptation Island. Trying defaults.

14:12:43 - [GRID SERVICE]: GetDefaultRegions returning 0 regions
14:12:43 - [LLOGIN SERVICE]: Last Region Not Found Attempting to find random region
14:12:43 - [GRID SERVICE]: Fallback returned 0 regions

14:12:43 - [LLLOGIN SERVICE]: Got Custom Login URI uri:Within Temptation Island&128&128&0,
           Grid does not provide default regions and no alternative found.

14:12:43 - [PRESENCE SERVICE]: Session d2d3f332-a008-4d40-9771-92226cb27977 logout
14:12:43 - [LLOGIN SERVICE]: Login failed, reason: destination not found


see Attached File or online at:
http://db.tt/V1n0D2xH [^]

TagsNo tags attached.
Git Revision or version numberr/18062
Run Mode Standalone (Multiple Regions)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Filestxt file icon OpenSim_r-18062.log.txt [^] (148,220 bytes) 2012-02-12 05:29 [Show Content]
patch file icon 0001-Fix-MSSQLDB-Grid-unable-to-register-region.patch [^] (1,041 bytes) 2012-02-13 13:00 [Show Content]

- Relationships

-  Notes
(0020864)
Pixel Tomsen (manager)
2012-02-13 13:01

migration patch
(0020866)
justincc (administrator)
2012-02-13 18:04

Applied in git master db90dea9 (after revert my own patch before I saw yours, Pixel). Thanks!

- Issue History
Date Modified Username Field Change
2012-02-12 01:35 dutchglory New Issue
2012-02-12 01:36 dutchglory Description Updated View Revisions
2012-02-12 05:19 dutchglory Additional Information Updated View Revisions
2012-02-12 05:29 dutchglory File Added: OpenSim_r-18062.log.txt
2012-02-12 05:32 dutchglory Additional Information Updated View Revisions
2012-02-13 13:00 Pixel Tomsen File Added: 0001-Fix-MSSQLDB-Grid-unable-to-register-region.patch
2012-02-13 13:01 Pixel Tomsen Note Added: 0020864
2012-02-13 13:01 Pixel Tomsen Status new => patch included
2012-02-13 18:04 justincc Note Added: 0020866
2012-02-13 18:04 justincc Status patch included => resolved
2012-02-13 18:04 justincc Resolution open => fixed
2012-02-13 18:04 justincc Assigned To => justincc
2014-07-29 13:40 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker